<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="http://www.irs.gov/efile" targetNamespace="http://www.irs.gov/efile" elementFormDefault="qualified" attributeFormDefault="unqualified" version="1.0">

  <xsd:annotation>
    <xsd:documentation>
      <Description>IRS e-file Partnership Income Return - Section 743(b) Basis Adjustments Statement</Description>
      <TaxYear>2018</TaxYear>
      <MaturityLevel>Final Release</MaturityLevel>
      <ReleaseDate>October 17, 2018</ReleaseDate>
    </xsd:documentation>
  </xsd:annotation>
  
  <xsd:include schemaLocation="../../../Common/efileTypes.xsd"/>
  
  
  <!-- ================================================================ -->
  <!-- ========  Section 743(b) Basis Adjustments Statement  ========== -->
  <!-- ================================================================ -->
  
  
  <xsd:element name="Section743bBasisAdjStatement">
    <xsd:annotation>
      <xsd:documentation>Section 743(b) basis adjustments statement</xsd:documentation>
    </xsd:annotation>
    <xsd:complexType>
      <xsd:complexContent>
        <xsd:extension base="Section743bBasisAdjStmtType">
          <xsd:attributeGroup ref="DocumentAttributes">
            <xsd:annotation>
              <xsd:documentation>Common return document attributes</xsd:documentation>
            </xsd:annotation>
          </xsd:attributeGroup>
          <xsd:attribute name="documentName" type="xsd:string" fixed="Section743bBasisAdjustmentsStatement">
            <xsd:annotation>
              <xsd:documentation>IRS internal use only. To avoid error in the return, do not include the attribute name or value.</xsd:documentation>
            </xsd:annotation>
          </xsd:attribute>
        </xsd:extension>
      </xsd:complexContent>
    </xsd:complexType>
  </xsd:element>
  
  <xsd:complexType name="Section743bBasisAdjStmtType">
    <xsd:annotation>
      <xsd:documentation>Content model for section 743(b) basis adjustments statement</xsd:documentation>
    </xsd:annotation>
    
    <xsd:sequence>

      <xsd:element name="Section743bBasisAdjItemGrp" minOccurs="0" maxOccurs="unbounded">
        <xsd:complexType>
          <xsd:sequence>
                    
            <!-- Name of the Transferee Partner -->          
            <xsd:element name="TransfereePartnerName" type="BusinessNameType" minOccurs="0">
              <xsd:annotation>
                <xsd:documentation>
                  <Description>Name of the transferee partner</Description>
                </xsd:documentation>
              </xsd:annotation>
            </xsd:element>
            
            <!-- Identifying Number of Transferee Partner -->            
            <xsd:choice minOccurs="0">
					<xsd:element name="SSN" type="SSNType" minOccurs="0">
              		<xsd:annotation>
                		<xsd:documentation>
                  		<Description>Identifying SSN number of transferee partner</Description>
                		</xsd:documentation>
              		</xsd:annotation>
            	</xsd:element>
					<xsd:element name="EIN" type="EINType" minOccurs="0">
              		<xsd:annotation>
                		<xsd:documentation>
                  		<Description>Identifying EIN number of transferee partner</Description>
                		</xsd:documentation>
              		</xsd:annotation>
            	</xsd:element>
         	</xsd:choice>
         
            <!-- Computation of Adjustment -->          
            <xsd:element name="ComputationAdjustmentTxt" type="ShortExplanationType" minOccurs="0">
              <xsd:annotation>
                <xsd:documentation>
                  <Description>Computation of adjustment</Description>
                </xsd:documentation>
              </xsd:annotation>
            </xsd:element>            
            
            <!-- Partnership Properties to Which the Adjustment has been Allocated -->          
            <xsd:element name="PartnershipPropExplanationTxt" type="ShortExplanationType" minOccurs="0">
              <xsd:annotation>
                <xsd:documentation>
                  <Description>Partnership properties to which the adjustment has been allocated</Description>
                </xsd:documentation>
              </xsd:annotation>
            </xsd:element>            

          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>

    </xsd:sequence>
  </xsd:complexType>
  
</xsd:schema>
